Endpoint
GET https://api.stepfun.ai/v1/files
Request parameters
None.Response
Returns a list of File objects.Example
- python
- js
- curl
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
🎉 New model Step 3.7 Flash is now live — a high-efficiency Flash model for real-world Agent / Coding / multimodal workflows. Learn more →
GET https://api.stepfun.ai/v1/files
from openai import OpenAI
client = OpenAI(api_key="STEP_API_KEY", base_url="https://api.stepfun.ai/v1")
client.files.list()
import OpenAI from "openai";
const openai = new OpenAI({
apiKey: "STEP_API_KEY",
baseURL: "https://api.stepfun.ai/v1"
});
async function main() {
const list = await openai.files.list();
for await (const file of list) {
console.log(file);
}
}
main();
curl https://api.stepfun.ai/v1/files \
-H "Authorization: Bearer $STEP_API_KEY"
{
"data": [
{
"id": "file-abc123",
"object": "file",
"bytes": 175,
"created_at": 1613677385,
"filename": "productImage.png",
"purpose": "storage",
"status": "processed"
},
{
"id": "file-abc123",
"object": "file",
"bytes": 140,
"created_at": 1613779121,
"filename": "intro.mp4",
"purpose": "storage",
"status": "processed"
}
],
"object": "list"
}
Was this page helpful?